## NMSettingVpn NMSettingVpn |

## Functions

void | (*NMVpnIterFunc) ()
NMSetting * | nm_setting_vpn_new ()
const char * | nm_setting_vpn_get_service_type ()
const char * | nm_setting_vpn_get_user_name ()
gboolean | nm_setting_vpn_get_persistent ()
guint32 | nm_setting_vpn_get_num_data_items ()
void | nm_setting_vpn_add_data_item ()
const char * | nm_setting_vpn_get_data_item ()
gboolean | nm_setting_vpn_remove_data_item ()
void | nm_setting_vpn_foreach_data_item ()
const char ** | nm_setting_vpn_get_data_keys ()
guint32 | nm_setting_vpn_get_num_secrets ()
void | nm_setting_vpn_add_secret ()
const char * | nm_setting_vpn_get_secret ()
gboolean | nm_setting_vpn_remove_secret ()
void | nm_setting_vpn_foreach_secret ()
const char ** | nm_setting_vpn_get_secret_keys ()
guint32 | nm_setting_vpn_get_timeout ()

## Types and Values

#define | NM_SETTING_VPN_SETTING_NAME
#define | NM_SETTING_VPN_SERVICE_TYPE
#define | NM_SETTING_VPN_USER_NAME
#define | NM_SETTING_VPN_PERSISTENT
#define | NM_SETTING_VPN_DATA
#define | NM_SETTING_VPN_SECRETS
#define | NM_SETTING_VPN_TIMEOUT

## Description

## Functions

### NMVpnIterFunc ()

    void
    (*NMVpnIterFunc) (const char *key,
                      const char *value,
                      gpointer user_data);

#### Parameters

key | the name of the data or secret item |
value | the value of the data or secret item |
user_data | User data passed to `nm_setting_vpn_foreach_data_item()` or `nm_setting_vpn_foreach_secret()` |

### nm_setting_vpn_new ()

    NMSetting *
    nm_setting_vpn_new (void);

### nm_setting_vpn_get_service_type ()

    const char *
    nm_setting_vpn_get_service_type (NMSettingVpn *setting);

### nm_setting_vpn_get_user_name ()

    const char *
    nm_setting_vpn_get_user_name (NMSettingVpn *setting);

### nm_setting_vpn_get_persistent ()

    gboolean
    nm_setting_vpn_get_persistent (NMSettingVpn *setting);

### nm_setting_vpn_get_num_data_items ()

    guint32
    nm_setting_vpn_get_num_data_items (NMSettingVpn *setting);

### nm_setting_vpn_add_data_item ()

    void
    nm_setting_vpn_add_data_item (NMSettingVpn *setting,
                                  const char *key,
                                  const char *item);

### nm_setting_vpn_get_data_item ()

    const char *
    nm_setting_vpn_get_data_item (NMSettingVpn *setting,
                                  const char *key);

### nm_setting_vpn_remove_data_item ()

    gboolean
    nm_setting_vpn_remove_data_item (NMSettingVpn *setting,
                                     const char *key);

### nm_setting_vpn_foreach_data_item ()

    void
    nm_setting_vpn_foreach_data_item (NMSettingVpn *setting,
                                      NMVpnIterFunc func,
                                      gpointer user_data);

### nm_setting_vpn_get_data_keys ()

    const char **
    nm_setting_vpn_get_data_keys (NMSettingVpn *setting,
                                  guint *out_length);

### nm_setting_vpn_get_num_secrets ()

    guint32
    nm_setting_vpn_get_num_secrets (NMSettingVpn *setting);

### nm_setting_vpn_add_secret ()

    void
    nm_setting_vpn_add_secret (NMSettingVpn *setting,
                               const char *key,
                               const char *secret);

### nm_setting_vpn_get_secret ()

    const char *
    nm_setting_vpn_get_secret (NMSettingVpn *setting,
                               const char *key);

### nm_setting_vpn_remove_secret ()

    gboolean
    nm_setting_vpn_remove_secret (NMSettingVpn *setting,
                                  const char *key);

### nm_setting_vpn_foreach_secret ()

    void
    nm_setting_vpn_foreach_secret (NMSettingVpn *setting,
                                   NMVpnIterFunc func,
                                   gpointer user_data);

### nm_setting_vpn_get_secret_keys ()

    const char **
    nm_setting_vpn_get_secret_keys (NMSettingVpn *setting,
                                    guint *out_length);

### nm_setting_vpn_get_timeout ()

    guint32
    nm_setting_vpn_get_timeout (NMSettingVpn *setting);

## Types and Values

### NM_SETTING_VPN_SETTING_NAME

    #define NM_SETTING_VPN_SETTING_NAME "vpn"

### NM_SETTING_VPN_SERVICE_TYPE

    #define NM_SETTING_VPN_SERVICE_TYPE "service-type"

### NM_SETTING_VPN_USER_NAME

    #define NM_SETTING_VPN_USER_NAME    "user-name"

### NM_SETTING_VPN_PERSISTENT

    #define NM_SETTING_VPN_PERSISTENT   "persistent"

### NM_SETTING_VPN_DATA

    #define NM_SETTING_VPN_DATA         "data"

### NM_SETTING_VPN_SECRETS

    #define NM_SETTING_VPN_SECRETS      "secrets"

### NM_SETTING_VPN_TIMEOUT

    #define NM_SETTING_VPN_TIMEOUT      "timeout"